Package org.eclipse.net4j.db.ddl.delta

# Interface IDBTableDelta

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

public interface IDBTableDelta extends IDBDelta

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IDBFieldDelta`
`getFieldDelta(int position)`
`IDBFieldDelta`
`getFieldDelta(String name)`
`int`
`getFieldDeltaCount()`
`Map<String,IDBFieldDelta>`
`getFieldDeltas()`
`IDBFieldDelta[]`
`getFieldDeltasSortedByPosition()`
`IDBIndexDelta`
`getIndexDelta(String name)`
`int`
`getIndexDeltaCount()`
`Map<String,IDBIndexDelta>`
`getIndexDeltas()`
`IDBIndexDelta[]`
`getIndexDeltasSortedByName()`
`IDBSchemaDelta`
`getParent()`
`IDBTable`
`getSchemaElement(IDBSchema schema)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getSchemaDelta`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getParent

IDBSchemaDelta getParent()

Specified by:
  `getParent` in interface `IDBDelta`
Specified by:
  `getParent` in interface `IDBElement`

### getFieldDeltaCount

int getFieldDeltaCount()

### getIndexDeltaCount

int getIndexDeltaCount()

### getFieldDelta

IDBFieldDelta getFieldDelta(int position)

### getFieldDelta

IDBFieldDelta getFieldDelta(String name)

### getIndexDelta

IDBIndexDelta getIndexDelta(String name)

### getFieldDeltas

Map<String,IDBFieldDelta> getFieldDeltas()

### getIndexDeltas

Map<String,IDBIndexDelta> getIndexDeltas()

### getFieldDeltasSortedByPosition

IDBFieldDelta[] getFieldDeltasSortedByPosition()

### getIndexDeltasSortedByName

IDBIndexDelta[] getIndexDeltasSortedByName()

### getSchemaElement

IDBTable getSchemaElement(IDBSchema schema)

Specified by:
  `getSchemaElement` in interface `IDBDelta`